<!DOCTYPE html>
<html lang="en">
<head>
    <%- include('partials/header.ejs') %>
</head>
<body>
    <%- include('partials/nav.ejs') %>
    <div class="container col-xxl-8 px-4 py-5">
        <div class="row flex-lg-row-reverse align-items-center g-5 py-5">
          <div class="col-10 col-sm-8 col-lg-6">
            <img src="/img/cfe.png" class="d-block mx-lg-auto img-fluid" alt="Bootstrap Themes" width="700" height="500" loading="lazy">
          </div>
          <div class="col-lg-6">
            <h1 class="display-5 fw-bold text-body-emphasis lh-1 mb-3">Calcula el pago de tu Recibo de Luz</h1>
            <p class="lead">Calcula el pago de tu recibo de luz con nuestro calculador en línea</p>
            <div class="d-grid gap-2 d-md-flex justify-content-md-start">
              <button type="button" class="btn btn-primary boton-cta btn-lg px-4 me-md-2">Calcular</button>
            </div>
          </div>
        </div>
    </div>    
    <main>
        <main>
            <% if(!isPost){ %>
            <form class="main-content" action="/" method="post">
                <div class="input-container">
                    <label for="numero">Numero Recibo</label>
                    <input id="numero" type="number" name="numero" required />
                </div>
                <div class="input-container">
                    <label for="nombre">Nombre</label>
                    <input id="nombre" type="text" name="nombre" required/>
                </div>
                <div class="input-container">
                    <label for="domicilio">Domicilio</label>
                    <input id="domicilio" type="text" name="domicilio" required/>
                </div>
                <div class="input-container">
                    <label for="servicio">Tipo de Servicio</label>
                    <select id="servicio" name="servicio">
                        <option value="0">Domestico</option>
                        <option value="1">Comercial</option>
                        <option value="2">Industrial</option>
                    </select>
                </div>
                <div class="input-container">
                    <label for="kwConsumidos">Kilowatts Consumidos</label>
                    <input id="kwConsumidos" type="number" name="kwConsumidos" required/>
                </div>
                <div class="buttons-container">
                    <button class="btn boton-cta btn-primary" type="submit">
                        Enviar Informacion
                    </button>
                    <button id="btnLimpiar" class="btn btn-danger"><a href="/">Limpiar</a></button>
                </div>
            </form>
    
            <%} else{ %>
            <div class="col-lg-6 mx-auto">
                <table class="table table-hover">
                    <thead>
                        <tr>
                            <th scope="col">Numero</th>
                            <th scope="col">Nombre</th>
                            <th scope="col">Tipo de servicio</th>
                            <th scope="col">Kiowatts Consumidos</th>
                            <th scope="col">Costo por Kiowatts</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td><%= numero %></td>
                            <td><%= nombre %></td>
                            <td><%= servicio %></td>
                            <td><%= kwConsumidos %></td>
                            <td><%= precioKw %></td>
                        </tr>
                        <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td class="subtotal">Subtotal:</td>
                            <td><%= subtotal %></td>
                        </tr>
                        <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td class="impuesto">Impuesto:</td>
                            <td><%= impuesto %></td>
                        </tr>
                        <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td class="descuento">Descuento:</td>
                            <td><%= descuento %></td>
                        </tr>
                        <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td class="totalpago">Total a pagar:</td>
                            <td><%= subtotalConDescuento %></td>
                        </tr>
                    </tbody>
                </table>
            </div>

            <% } %>
        </main>    
    <%- include('partials/footer.ejs') %>
</body>
</html>